GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
gdcm::JPEG2000Codec Class Reference

Class to do JPEG 2000. More...

`#include <gdcmJPEG2000Codec.h>`

Inheritance diagram for gdcm::JPEG2000Codec:
[legend]
Collaboration diagram for gdcm::JPEG2000Codec:
[legend]

## Public Member Functions

| JPEG2000Codec ()
| ~JPEG2000Codec ()
bool | CanCode (TransferSyntax const &ts) const
| Return whether this coder support this transfer syntax (can code it)
bool | CanDecode (TransferSyntax const &ts) const
| Return whether this decoder support this transfer syntax (can decode it)
bool | Code (DataElement const &in, DataElement &out)
| Code.
bool | Decode (DataElement const &is, DataElement &os)
| Decode.
virtual bool | GetHeaderInfo (std::istream &is, TransferSyntax &ts)
double | GetQuality (unsigned int idx=0) const
double | GetRate (unsigned int idx=0) const
void | SetNumberOfResolutions (unsigned int nres)
void | SetQuality (unsigned int idx, double q)
void | SetRate (unsigned int idx, double rate)
void | SetReversible (bool res)
void | SetTileSize (unsigned int tx, unsigned int ty)
Public Member Functions inherited from gdcm::ImageCodec
| ImageCodec ()
| ~ImageCodec ()
const unsigned int * | GetDimensions () const
bool | GetLossyFlag () const
const LookupTable & | GetLUT () const
bool | GetNeedByteSwap () const
unsigned int | GetNumberOfDimensions () const
const PhotometricInterpretation & | GetPhotometricInterpretation () const
PixelFormat & | GetPixelFormat ()
const PixelFormat & | GetPixelFormat () const
unsigned int | GetPlanarConfiguration () const
bool | IsLossy () const
void | SetDimensions (const unsigned int d[3])
void | SetDimensions (const std::vector< unsigned int > &d)
void | SetLossyFlag (bool l)
void | SetLUT (LookupTable const &lut)
void | SetNeedByteSwap (bool b)
void | SetNeedOverlayCleanup (bool b)
void | SetNumberOfDimensions (unsigned int dim)
void | SetPhotometricInterpretation (PhotometricInterpretation const &pi)
virtual void | SetPixelFormat (PixelFormat const &pf)
void | SetPlanarConfiguration (unsigned int pc)

## Protected Member Functions

bool | DecodeByStreams (std::istream &is, std::ostream &os)
bool | DecodeExtent (char *buffer, unsigned int xmin, unsigned int xmax, unsigned int ymin, unsigned int ymax, unsigned int zmin, unsigned int zmax, std::istream &is)
Protected Member Functions inherited from gdcm::ImageCodec
bool | DoByteSwap (std::istream &is_, std::ostream &os)
bool | DoInvertMonochrome (std::istream &is_, std::ostream &os)
bool | DoOverlayCleanup (std::istream &is_, std::ostream &os)
bool | DoPaddedCompositePixelCode (std::istream &is_, std::ostream &os)
bool | DoPlanarConfiguration (std::istream &is_, std::ostream &os)
bool | DoSimpleCopy (std::istream &is_, std::ostream &os)
bool | DoYBR (std::istream &is_, std::ostream &os)
virtual bool | IsValid (PhotometricInterpretation const &pi)

## Friends

class | Bitmap
class | ImageRegionReader

## Additional Inherited Members

Protected Types inherited from gdcm::ImageCodec
typedef SmartPointer< LookupTable > | LUTPtr
Protected Attributes inherited from gdcm::ImageCodec
unsigned int | Dimensions [3]
bool | LossyFlag
LUTPtr | LUT
bool | NeedByteSwap
bool | NeedOverlayCleanup
unsigned int | NumberOfDimensions
PixelFormat | PF
PhotometricInterpretation | PI
unsigned int | PlanarConfiguration
bool | RequestPaddedCompositePixelCode
bool | RequestPlanarConfiguration

## Detailed Description

Class to do JPEG 2000.

Note
  the class will produce JPC (JPEG 2000 codestream), since some private implementor are using full jp2 file the decoder tolerate jp2 input this is an implementation of an ImageCodec

## Constructor & Destructor Documentation

gdcm::JPEG2000Codec::JPEG2000Codec | ( |  | ) |

gdcm::JPEG2000Codec::~JPEG2000Codec | ( |  | ) |

## Member Function Documentation

bool gdcm::JPEG2000Codec::CanCode | ( | TransferSyntax const & |  | ) | const

virtual

Return whether this coder support this transfer syntax (can code it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::JPEG2000Codec::CanDecode | ( | TransferSyntax const & |  | ) | const

virtual

Return whether this decoder support this transfer syntax (can decode it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::JPEG2000Codec::Code | ( | DataElement const & | in_,
|  | DataElement & | out_
| ) |  |

virtual

Code.

Reimplemented from gdcm::Coder.

bool gdcm::JPEG2000Codec::Decode | ( | DataElement const & | ,
|  | DataElement & |
| ) |  |

virtual

Decode.

Reimplemented from gdcm::ImageCodec.

bool gdcm::JPEG2000Codec::DecodeByStreams | ( | std::istream & | is,
|  | std::ostream & | os
| ) |  |

protectedvirtual

Reimplemented from gdcm::ImageCodec.

bool gdcm::JPEG2000Codec::DecodeExtent | ( | char * | buffer,
|  | unsigned int | xmin,
|  | unsigned int | xmax,
|  | unsigned int | ymin,
|  | unsigned int | ymax,
|  | unsigned int | zmin,
|  | unsigned int | zmax,
|  | std::istream & | is
| ) |  |

protected

virtual bool gdcm::JPEG2000Codec::GetHeaderInfo | ( | std::istream & | is,
|  | TransferSyntax & | ts
| ) |  |

virtual

Reimplemented from gdcm::ImageCodec.

double gdcm::JPEG2000Codec::GetQuality | ( | unsigned int | idx = `0` | ) | const

double gdcm::JPEG2000Codec::GetRate | ( | unsigned int | idx = `0` | ) | const

void gdcm::JPEG2000Codec::SetNumberOfResolutions | ( | unsigned int | nres | ) |

void gdcm::JPEG2000Codec::SetQuality | ( | unsigned int | idx,
|  | double | q
| ) |  |

void gdcm::JPEG2000Codec::SetRate | ( | unsigned int | idx,
|  | double | rate
| ) |  |

void gdcm::JPEG2000Codec::SetReversible | ( | bool | res | ) |

void gdcm::JPEG2000Codec::SetTileSize | ( | unsigned int | tx,
|  | unsigned int | ty
| ) |  |

## Friends And Related Function Documentation

friend class Bitmap

friend

friend class ImageRegionReader

friend

The documentation for this class was generated from the following file:

- gdcmJPEG2000Codec.h